# -*- coding: utf-8 -*-

SUPPORTED_LANGUAGES = [
    {"label": "Afrikaans", "value": "af"},
    {"label": "Albanian", "value": "sq"},
    {"label": "Amharic", "value": "am"},
    {"label": "Arabic", "value": "ar"},
    {"label": "Aragonese", "value": "an"},
    {"label": "Armenian", "value": "hy"},
    {"label": "Assamese", "value": "as"},
    {"label": "Azerbaijani", "value": "az"},
    {"label": "Basque", "value": "eu"},
    {"label": "Belarusian", "value": "be"},
    {"label": "Bengali", "value": "bn"},
    {"label": "Bosnian", "value": "bs"},
    {"label": "Breton", "value": "br"},
    {"label": "Bulgarian", "value": "bg"},
    {"label": "Burmese", "value": "my"},
    {"label": "Catalan", "value": "ca"},
    {"label": "Central Khmer", "value": "km"},
    {"label": "Chinese", "value": "zh"},
    {"label": "Croatian", "value": "hr"},
    {"label": "Czech", "value": "cs"},
    {"label": "Danish", "value": "da"},
    {"label": "Dutch", "value": "nl"},
    {"label": "Dzongkha", "value": "dz"},
    {"label": "English", "value": "en"},
    {"label": "Esperanto", "value": "eo"},
    {"label": "Estonian", "value": "et"},
    {"label": "Faroese", "value": "fo"},
    {"label": "Finnish", "value": "fi"},
    {"label": "French", "value": "fr"},
    {"label": "Galician", "value": "gl"},
    {"label": "Georgian", "value": "ka"},
    {"label": "German", "value": "de"},
    {"label": "Greek", "value": "el"},
    {"label": "Gujarati", "value": "gu"},
    {"label": "Haitian", "value": "ht"},
    {"label": "Hausa", "value": "ha"},
    {"label": "Hebrew", "value": "he"},
    {"label": "Hindi", "value": "hi"},
    {"label": "Hungarian", "value": "hu"},
    {"label": "Icelandic", "value": "is"},
    {"label": "Igbo", "value": "ig"},
    {"label": "Indonesian", "value": "id"},
    {"label": "Irish", "value": "ga"},
    {"label": "Italian", "value": "it"},
    {"label": "Japanese", "value": "ja"},
    {"label": "Javanese", "value": "jv"},
    {"label": "Kannada", "value": "kn"},
    {"label": "Kazakh", "value": "kk"},
    {"label": "Kinyarwanda", "value": "rw"},
    {"label": "Kirghiz", "value": "ky"},
    {"label": "Korean", "value": "ko"},
    {"label": "Kurdish", "value": "ku"},
    {"label": "Lao", "value": "lo"},
    {"label": "Latin", "value": "la"},
    {"label": "Latvian", "value": "lv"},
    {"label": "Lithuanian", "value": "lt"},
    {"label": "Luxembourgish", "value": "lb"},
    {"label": "Macedonian", "value": "mk"},
    {"label": "Malagasy", "value": "mg"},
    {"label": "Malay", "value": "ms"},
    {"label": "Malayalam", "value": "ml"},
    {"label": "Maltese", "value": "mt"},
    {"label": "Maori", "value": "mi"},
    {"label": "Marathi", "value": "mr"},
    {"label": "Mongolian", "value": "mn"},
    {"label": "Nepali", "value": "ne"},
    {"label": "Northern Sami", "value": "se"},
    {"label": "Norwegian Bokmål", "value": "nb"},
    {"label": "Norwegian Nynorsk", "value": "nn"},
    {"label": "Norwegian", "value": "no"},
    {"label": "Nyanja", "value": "ny"},
    {"label": "Occitan", "value": "oc"},
    {"label": "Oriya", "value": "or"},
    {"label": "Panjabi", "value": "pa"},
    {"label": "Persian", "value": "fa"},
    {"label": "Polish", "value": "pl"},
    {"label": "Portuguese", "value": "pt"},
    {"label": "Pushto", "value": "ps"},
    {"label": "Quechua", "value": "qu"},
    {"label": "Romanian", "value": "ro"},
    {"label": "Russian", "value": "ru"},
    {"label": "Samoan", "value": "sm"},
    {"label": "Scottish Gaelic", "value": "gd"},
    {"label": "Serbian", "value": "sr"},
    {"label": "Shona", "value": "sn"},
    {"label": "Sindhi", "value": "sd"},
    {"label": "Sinhala", "value": "si"},
    {"label": "Slovak", "value": "sk"},
    {"label": "Slovenian", "value": "sl"},
    {"label": "Somali", "value": "so"},
    {"label": "Southern Sotho", "value": "st"},
    {"label": "Spanish", "value": "es"},
    {"label": "Sundanese", "value": "su"},
    {"label": "Swahili", "value": "sw"},
    {"label": "Swedish", "value": "sv"},
    {"label": "Tagalog", "value": "tl"},
    {"label": "Tajik", "value": "tg"},
    {"label": "Tamil", "value": "ta"},
    {"label": "Telugu", "value": "te"},
    {"label": "Thai", "value": "th"},
    {"label": "Turkish", "value": "tr"},
    {"label": "Uighur", "value": "ug"},
    {"label": "Ukrainian", "value": "uk"},
    {"label": "Urdu", "value": "ur"},
    {"label": "Uzbek", "value": "uz"},
    {"label": "Vietnamese", "value": "vi"},
    {"label": "Volapük", "value": "vo"},
    {"label": "Walloon", "value": "wa"},
    {"label": "Welsh", "value": "cy"},
    {"label": "Western Frisian", "value": "fy"},
    {"label": "Xhosa", "value": "xh"},
    {"label": "Yiddish", "value": "yi"},
    {"label": "Yoruba", "value": "yo"},
    {"label": "Zulu", "value": "zu"},
]

SUPPORTED_LANGUAGES_IN_CLD3_NOT_IN_LANGID = [
    "fy",
    "gd",
    "ha",
    "ig",
    "mi",
    "my",
    "ny",
    "sd",
    "sm",
    "sn",
    "so",
    "st",
    "su",
    "tg",
    "uz",
    "yi",
    "yo",
]

# Rare cases of ISO code replacements and oddities
LANGUAGE_REMAPPING = {"iw": "he", "co": "it", "ji": "yi", "in": "id"}
